# Zio Struct Reference

`#include <lua/lzio.h>`

Collaboration diagram for Zio:
[legend]

## Data Fields

size_t | n
const char * | p
lua_Reader | reader
void * | data
lua_State * | L

## Detailed Description

Definition at line 56 of file lzio.h.

## Field Documentation

void* Zio::data

Definition at line 60 of file lzio.h.

Referenced by luaZ_fill(), and luaZ_init().

lua_State* Zio::L

Definition at line 61 of file lzio.h.

Referenced by luaZ_fill(), and luaZ_init().

size_t Zio::n

Definition at line 57 of file lzio.h.

Referenced by luaZ_fill(), luaZ_init(), luaZ_lookahead(), and luaZ_read().

const char* Zio::p

Definition at line 58 of file lzio.h.

Referenced by luaZ_fill(), luaZ_init(), luaZ_lookahead(), and luaZ_read().

lua_Reader Zio::reader

Definition at line 59 of file lzio.h.

Referenced by luaZ_fill(), and luaZ_init().

The documentation for this struct was generated from the following file:

- lua/lzio.h